Package org.apache.struts2.validator.annotations

# Annotation Interface EmailValidator

@Target(METHOD) @Retention(RUNTIME) public @interface EmailValidator
This validator checks that a field is a valid e-mail address if it contains a non-empty String.

Annotation usage:

The annotation must be applied at method level.

Annotation parameters:

Parameter | Required | Default | Notes
--- | --- | --- | ---
message | yes |  | field error message
key | no |  | i18n key from language specific properties file.
messageParams | no |  | Additional params to be used to customize message - will be evaluated against the Value Stack
fieldName | no |  |
shortCircuit | no | false | If this validator should be used as shortCircuit.
type | yes | ValidatorType.FIELD | Enum value from ValidatorType. Either FIELD or SIMPLE can be used here.

Example code:

     @EmailValidator(message = "Default message", key = "i18n.key", shortCircuit = true)

Author:
  Rainer Hermanns

- ## Optional Element Summary

  Optional Elements
  Modifier and Type
  Optional Element
  Description
  `String`
  `fieldName`
  `String`
  `key`
  `String`
  `message`
  `String[]`
  `messageParams`
  `boolean`
  `shortCircuit`
  If this is activated, the validator will be used as short-circuit.
  `ValidatorType`
  `type`

- ## Element Details

  - ### message

    String message
    Returns:
      The default error message for this validator. NOTE: It is required to set a message, if you are not using the message key for 18n lookup!
    Default:
      ""

  - ### key

    String key
    Returns:
      The message key to lookup for i18n.
    Default:
      ""

  - ### messageParams

    String[] messageParams
    Returns:
      Additional params to be used to customize message - will be evaluated against the Value Stack
    Default:
      {}

  - ### fieldName

    String fieldName
    Returns:
      The optional fieldName for SIMPLE validator types.
    Default:
      ""

  - ### shortCircuit

    boolean shortCircuit
    If this is activated, the validator will be used as short-circuit. Adds the short-circuit='true' attribute value if `true`.
    Returns:
      true if validator will be used as short-circuit. Default is false.
    Default:
      false

  - ### type

    ValidatorType type
    Returns:
      The validation type for this field/method.
    Default:
      FIELD